Package nu.xom

# Class XPathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
nu.xom.XPathException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `XPathTypeException`

public class XPathException extends RuntimeException

Indicates problems with XPath syntax or evaluation.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XPathException(String message)`
Creates a new `XPathException` with a detail message.
`XPathException(String message, Throwable cause)`
Creates a new `IllegalNameException` with a detail message and an underlying root cause.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Return the original cause that led to this exception, or null if there was no original exception.
`String`
`getXPath()`
Returns the specific XPath expression being evaluated when this excepiton was thrown.
`Throwable`
`initCause(Throwable cause)`
Sets the root cause of this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XPathException

public XPathException(String message)

Creates a new `XPathException` with a detail message.

Parameters:
  `message` - a string indicating the specific problem

### XPathException

public XPathException(String message, Throwable cause)

Creates a new `IllegalNameException` with a detail message and an underlying root cause.

Parameters:
  `message` - a string indicating the specific problem
  `cause` - the original cause of this exception

## Method Details

### getCause

public Throwable getCause()

Return the original cause that led to this exception, or null if there was no original exception.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the root cause of this exception

### initCause

public Throwable initCause(Throwable cause)

Sets the root cause of this exception. This may only be called once. Subsequent calls throw an `IllegalStateException`.

This method is unnecessary in Java 1.4 where it could easily be inherited from the superclass. However, including it here allows this method to be used in Java 1.3 and earlier.

Overrides:
  `initCause` in class `Throwable`
Parameters:
  `cause` - the root cause of this exception
Returns:
  this `XMLException`
Throws:
  `IllegalArgumentException` - if the cause is this exception (An exception cannot be its own cause.)
  `IllegalStateException` - if this method is called twice

### getXPath

public String getXPath()

Returns the specific XPath expression being evaluated when this excepiton was thrown.

Returns:
  the XPath expression that caused the exception